com.trendmicro.ds.platform.rest.object.smartfolder

## Class ListParentSmartFolderResponse

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.ListParentSmartFolderResponse

-     public class ListParentSmartFolderResponse
      extends java.lang.Object

  Response object that gets returned from the ListParentSmartFolder API method. Returns all of the smart folders that will be parents of a new child Smart Folder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListParentSmartFolderResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ParentSmartFolderSummary>` | `getParentSmartFolders()` Gets the parent smart folders
    `void` | `setParentSmartFolders(java.util.List<ParentSmartFolderSummary> parentSmartFolders)` Sets the parent smart folders
    `ListParentSmartFolderResponse` | `withParentSmartFolder(java.util.List<ParentSmartFolderSummary> parentSmartFolders)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ListParentSmartFolderResponse

          public ListParentSmartFolderResponse()

  - ### Method Detail

    - #### getParentSmartFolders

          public java.util.List<ParentSmartFolderSummary> getParentSmartFolders()

      Gets the parent smart folders
      Returns:
        The parent smart folders

    - #### setParentSmartFolders

          public void setParentSmartFolders(java.util.List<ParentSmartFolderSummary> parentSmartFolders)

      Sets the parent smart folders
      Parameters:
        `parentSmartFolders` - the parent smart folders

    - #### withParentSmartFolder

          public ListParentSmartFolderResponse withParentSmartFolder(java.util.List<ParentSmartFolderSummary> parentSmartFolders)

      Parameters:
        `parentSmartFolders` -
      Returns:

Copyright © 2017 Trend Micro Inc. All Rights Reserved.